> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fedapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all webhooks



## OpenAPI

````yaml get /webhooks
openapi: 3.0.0
info:
  title: Customer API
  version: v1
servers:
  - url: https://sandbox-api.fedapay.com/v1
  - url: https://api.fedapay.com/v1
security: []
paths:
  /webhooks:
    get:
      summary: Get all webhooks
      responses:
        '200':
          description: List of webhook
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: Webhook ID.
                    url:
                      type: string
                      description: URL of the request.
                    enabled:
                      type: boolean
                      description: Indicates whether the webhook is active.
                    ssl_verify:
                      type: boolean
                      description: >-
                        Indicates whether SSL verification is enabled for the
                        webhook.
                    disable_on_error:
                      type: boolean
                      description: >-
                        the webhook will be disabled after encountering an
                        error.
                    account_id:
                      type: integer
                      description: ID of the webhook account
                    http_headers:
                      type: boolean
                      description: Indicates whether custom HTTP headers are used
                    created_at:
                      type: string
                      format: date-time
                      description: Date and time of webhook creation
                    updated_at:
                      type: string
                      format: date-time
                      description: Date and time of last webhook update
        '401':
          description: Unauthorized. Provide a valid secret key.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          label: NodeJs
          source: >-
            const { FedaPay, Webhook } = require('fedapay');

            /* Replace YOUR_SECRETE_API_KEY with your real API key */

            FedaPay.setApiKey("YOUR_SECRETE_API_KEY");

            /* Specify whether you want to run your query in test or live mode
            */

            FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');

            /* Show webhooks */

            const webhook = await Webhook.all( params = {}, headers = {} );
        - lang: PHP
          source: |-
            \FedaPay\Fedapay::setApiKey(MY_API_KEY);
            /**
            * @var \FedaPay\FedaPayObject
            */
            $response = \FedaPay\Webhook::all();
            $webhooks = $response->webhooks;
            $meta = $response->meta;
        - lang: Ruby
          source: |-
            require 'fedapay';
            # configure FedaPay library
            FedaPay.api_key = '' # Your secret api key
            FedaPay.environment = '' # sandbox or live
            webhooks = FedaPay::Webhook.list;
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````